Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
PackageInstaller.PendingPackage Class Reference

## Public Member Functions
| __init__ (self, packageName, version, host)
| __cmp__ (self, pp)
| checkDescFile (self)
| getDescFile (self, http)
| getProgress (self)

## Public Attributes
bool | calledPackageFinished = False
bool | calledPackageStarted = False
bool | done = False
int | downloadEffort = 0
| host = host
bool | notified = False
| package = PackageInfo(host, packageName, version)
| packageName = packageName
int | prevDownloadedEffort = 0
int | prevDownloadEffort = 0
bool | success = False
| version = version

## Static Public Attributes
| notify = directNotify.newCategory("PendingPackage")

## Detailed Description

     This class describes a package added to the installer for
    download.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | packageName,
|  |  | version,
|  |  | host )

## Member Function Documentation

## ◆ __cmp__()

__cmp__ | ( |  | self,
|  |  | pp )

     Python comparision function.  This makes all
    PendingPackages withe same (packageName, version, host)
    combination be deemed equivalent.

## ◆ checkDescFile()

checkDescFile | ( |  | self | ) |

     Returns true if the desc file is already downloaded
    and good, or false if it needs to be downloaded.

## ◆ getDescFile()

getDescFile | ( |  | self,
|  |  | http )

     Synchronously downloads the desc files required for
    the package.

## ◆ getProgress()

getProgress | ( |  | self | ) |

     Returns the download progress of this package in the
    range 0..1.

## Member Data Documentation

## ◆ calledPackageFinished

bool calledPackageFinished = False

## ◆ calledPackageStarted

bool calledPackageStarted = False

## ◆ done

bool done = False

## ◆ downloadEffort

int downloadEffort = 0

## ◆ host

host = host

## ◆ notified

bool notified = False

## ◆ notify

notify = directNotify.newCategory("PendingPackage")
| static

## ◆ package

package = PackageInfo(host, packageName, version)

## ◆ packageName

packageName = packageName

## ◆ prevDownloadedEffort

int prevDownloadedEffort = 0

## ◆ prevDownloadEffort

int prevDownloadEffort = 0

## ◆ success

bool success = False

## ◆ version

version = version